package command;

public class CargoVolumeAdjustment extends CarAdjustmentImpl{
    private final float cargoVolumeAdd;

    //Recebe como parâmetro no construtor o quanto o atributo
    //deve ser ajustado e o objeto alvo do ajuste
    public CargoVolumeAdjustment(float cargoVolume, CarModel model){
        super(model);
        this.cargoVolumeAdd = cargoVolume;
    }

    //Executa o ajuste no objeto recebido
    public boolean execute(){
        float cargoVolume = carModel.getCargoVolume();
        carModel.setCargoVolume(cargoVolume + cargoVolumeAdd);
        return true;
    }

    //Reverte o ajuste no objeto recebido
    public void unexecute(){
        float cargoVolume = carModel.getCargoVolume();
        carModel.setCargoVolume(cargoVolume - cargoVolumeAdd);
    }
}
